class Rotation
{
	type="rotation";
	memory=1;
	minValue=0;	maxValue=1;
	angle0="rad + 0";
};

class CfgModels
{
	class bwmod_wheeledVehicle;
	
	class bwmod_lkw5t
	{
		sectionsInherit="bwmod_wheeledVehicle";
		sections[]={"door left","door right"};

		skeletonName="BWMod_LKW5t_Skeleton";

		class Animations
		{
			class damageHide
			{
				type="hide";
				source="damage";
				selection="damageHide";
			};		
		
			class wheelLeft_01
			{
				type="rotationX";
				source="wheel";
				selection="wheel left 01";
				axis="";
				memory=0;
				sourceAddress="loop";
				minValue=0;	maxValue=1;
				angle0=0;	angle1="rad -360";
			};
			
			class wheelLeft_02 : wheelLeft_01
			{	selection="wheel left 02";	};

			class wheelRight_01 : wheelLeft_01
			{	selection="wheel right 01";	};

			class wheelRight_02 : wheelLeft_01
			{	selection="wheel right 02";	};
			
			class wheelLeft_01_steering
			{
				type="rotationY";
				source="drivingWheel";
				selection="wheel left 01";
				axis="axis wheel left 01";
				memory=1;
				minValue="rad -180";	maxValue="rad +180";
				angle0="rad +90";	angle1="rad -90";
			};

			class wheelRight_01_steering : wheelLeft_01_steering
			{
				selection="wheel right 01";
				axis="axis wheel right 01";
			};

			class WheelLeft_01_damper
			{
				type="translationY";
				source="damper";
				selection="wheel left 01 damper";
				axis="";
				minValue=-1;	maxValue=+1;
				animPeriod=0;
			};
			
			class WheelLeft_02_damper : WheelLeft_01_damper
			{	selection="wheel left 02 damper";	};


			class WheelRight_01_damper : WheelLeft_01_damper
			{	selection="wheel right 01 damper";	};

			class WheelRight_02_damper : WheelLeft_01_damper
			{	selection="wheel right 02 damper";	};

			//Instruments
			class steeringWheel : Rotation
			{
				source="drivingWheel";
				selection="steering wheel";
				axis="axis steering wheel";
				memory=0;
				minValue=-1;	maxValue=1;
				angle0="+8";	angle1="-8";
			};			

			class indicatorSpeed : Rotation
			{
				source="speed";
				selection="indicator speed";
				axis="axis indicator speed";
				maxValue=120 / 3.6;
				angle0="rad + 0";	angle1="rad + 240";
			};
			
			//http://panzer-modell.de/referenz/in_detail/7t_kipper/007g.jpg
			class indicatorFuel : Rotation
			{
				source="fuel";
				selection="indicator fuel";
				axis="axis indicator fuel";
				angle0="rad + 80";	angle1="rad - 40";
			};

			class indicatorOil : Rotation
			{
				source="indicator_oil";
				selection="indicator oil temp";
				axis="axis indicator oil temp";
				angle0="rad + 65";	angle1="rad + 30";
			};

			class indicatorPressure : Rotation
			{
				source="indicator_pressure";
				selection="indicator pressure";
				axis="axis indicator pressure";
				angle0="rad + 0";	angle1="rad - 160";
			};
			
			class indicatorTimeHour : Rotation
			{
				source="clockHour";
				selection="indicator time hour";
				axis="axis indicator time";
				angle0="rad -100";	angle1="rad +260";
			};
			class indicatorTimeMinute : indicatorTimeHour
			{
				source="clockMinute";
				selection="indicator time minute";
				angle0="rad +0";	angle1="rad +360";
			};			
			
			class mainGun : Rotation
			{
				source="mainGun";
				selection="mainGun";
				axis="axis mainGun";
				minValue="rad - 360";	maxValue="rad + 360";
				angle0="rad + 360";	angle1="rad - 360";
			};

			class mainTurret : Rotation
			{
				source="mainTurret";
				selection="mainTurret";
				axis="axis mainTurret";
				minValue="rad - 360";	maxValue="rad + 360";
				angle0="rad + 360";	angle1="rad - 360";
			};			
		};
	};
	
	class bwmod_lkw5t_open : bwmod_lkw5t {};
	class bwmod_lkw5t_fuel : bwmod_lkw5t {};
	class bwmod_lkw5t_repair : bwmod_lkw5t {};
	class bwmod_lkw5t_ammo : bwmod_lkw5t {};
};

class CfgSkeletons
{
	class bwmod_wheeledVehicle;

	class BWMod_LKW5t_Skeleton
	{
		isDiscrete=1;

		skeletonInherit="bwmod_wheeledVehicle";
		skeletonBones[]=
		{
			"indicator oil temp","",
			"indicator pressure","",
			"indicator time hour","",
			"indicator time minute",""
		};
	};
};